use iced::{Length, Task, alignment::Horizontal, widget::Column};
use tracing::info;

use crate::ui::main_window::{MainWindowMsg, TabContent};

#[derive(Default)]
pub struct DbBrowser {}

#[derive(Clone, Debug, PartialEq, Eq)]
pub enum DbBrowserMsg {
    Nothing,
}

impl TabContent for DbBrowser {
    type TabMessage = DbBrowserMsg;

    fn update(&mut self, msg: Self::TabMessage) -> Task<MainWindowMsg> {
        match msg {
            DbBrowserMsg::Nothing => {
                info!("This function not allowed");
            }
        }
        Task::none()
    }

    fn content(&self) -> iced::Element<'_, MainWindowMsg> {
        let btn = iced::widget::button("DbBrowser")
            .on_press(MainWindowMsg::DbBrowser(DbBrowserMsg::Nothing));

        Column::new()
            .align_x(Horizontal::Left)
            .width(Length::Fill)
            .height(Length::Fill)
            .push(btn)
            .into()
    }
}
